ChangeSet 1.1043.1.26, 2003/02/18 16:05:07-08:00, greg@kroah.com

[PATCH] USB: serial core fix to solve ordering issues when destroying our objects.


diff -Nru a/drivers/usb/serial/usb-serial.c b/drivers/usb/serial/usb-serial.c
--- a/drivers/usb/serial/usb-serial.c	Tue Feb 18 16:36:35 2003
+++ b/drivers/usb/serial/usb-serial.c	Tue Feb 18 16:36:35 2003
@@ -829,8 +829,6 @@
 		}
 	}
 
-	usb_put_dev(serial->dev);
-	serial->dev = NULL;
 	serial_shutdown (serial);
 
 	for (i = 0; i < serial->num_ports; ++i)
@@ -868,6 +866,8 @@
 	}
 	/* return the minor range that this device had */
 	return_serial (serial);
+
+	usb_put_dev(serial->dev);
 
 	/* free up any memory that we allocated */
 	kfree (serial);
